﻿@using PagedList;
@using PagedList.Mvc;
@model IEnumerable<OnlineLibrary.Data.Entities.Book>

@{
    /**/

    ViewBag.Title = "Books";
}

<h2>Index</h2>

@if (User.IsInRole("Library Administrator"))
{
    <p>
        @Html.ActionLink("Create New", "Create")
    </p>
}
@using (Html.BeginForm())
{
    <div class="col-md-12">
        <div class="col-md-2">
            Title:
            @Html.TextBox("titleSearch", (string)ViewBag.TitleSearch, new { @class = "form-control" })
        </div>
        <div class="col-md-2">
            Writer:
            @Html.TextBox("writerSearch", (string)ViewBag.WriterSearch, new { @class = "form-control" })
        </div>
        <div class="col-md-2">
            Genre:
            @Html.DropDownList("GenreId", ViewBag.Genres as IEnumerable<SelectListItem>, "Select a Genre", new { @class = "form-control" })
        </div>
        <div class="col-md-2">
            <button class="btn btn-primary">
                <i class="glyphicon glyphicon-search"></i>Search
            </button>
        </div>
    </div>
    <div class="col-md-2" style="height: 50px;"></div>
}
<table class="table">
    <tr>
        <th>
            @Html.ActionLink("Title", "Index", new { sortOrder = ViewBag.TitleSortParm, titleSearch = ViewBag.TitleSearch })
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ReleaseDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Description)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.WriterId)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.GenreId)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model)
    {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Title)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ReleaseDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Writer.UserName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Genre.GenreName)
            </td>
            <td>
                @Html.ActionLink("Details", "Details", new { id = item.Id })
            </td>
            @if (User.IsInRole("Library Administrator"))
            {
                <td>
                    | @Html.ActionLink("Edit", "Edit", new { id = item.Id }) |
                    @Html.ActionLink("Delete", "Delete", new { id = item.Id })
                </td>
            }
        </tr>
    }

</table>

@Html.PagedListPager((IPagedList)Model, page => Url.Action("Index", new { page, titleSearch = ViewBag.TitleSearch, sortOrder = ViewBag.CurrentSortParm }))
